#pragma once

#include <cstdint>
#include <cstddef>
#include <cstdio>

#ifndef NDEBUG
# define DbgPrintFunc() std::puts(__func__)
#else
# define DbgPrintFunc()
#endif

typedef float  f32;
typedef double f64;

typedef std::int8_t  i8;
typedef std::int16_t i16;
typedef std::int32_t i32;
typedef std::int64_t i64;

typedef std::uint8_t  u8;
typedef std::uint16_t u16;
typedef std::uint32_t u32;
typedef std::uint64_t u64;

typedef std::ptrdiff_t isize;
typedef std::size_t    usize;

// EOF
