#include "common.h"
#include "winmenu.h"
#include "ui_winmenu.h"

#include <stdio.h>

WinMenu::WinMenu(QWidget *parent) :
   QMainWindow(parent),
   ui(new Ui::WinMenu),
   props(new MapProps(this))
{
   ui->setupUi(this);

   connect(ui->actionMapProps, &QAction::triggered,
           this,               &WinMenu::openMapProperties);
}

WinMenu::~WinMenu()
{
   DbgPrintFunc();
}

void WinMenu::openMapProperties()
{
   props->show();
}

// EOF
